%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Structures_DataGrid_Renderer_Smarty

Name:           php-pear-Structures-DataGrid-Renderer-Smarty
Version:        0.1.4
Release:        3%{?dist}
Summary:        Renderer driver using Smarty

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Structures_DataGrid_Renderer_Smarty
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.6.0
Requires:       php-pear(PEAR)
Requires:       php-pear(Structures_DataGrid) >= 0.9.0
Requires:       php-pear(Structures_DataGrid_Renderer_Pager) >= 0.1.3
Requires:       php-Smarty
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
This is a Rendering driver for Structures_DataGrid using Smarty. It adds the
necessary variables and functions to a Smarty instance, in order to build a
full-featured DataGrid within a Smarty template.


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/Structures/DataGrid/Renderer/Smarty.php


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 20 2008 Christopher Stone <chris.stone@gmail.com> 0.1.4-1
- Upstream sync
- Requires new pear installer, pager renderer and datagrid

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.1.3-1
- Upstream sync
- Relicense to BSD

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 0.1.2-2
- Add license to %%doc
- Add versioned Requires

* Sun Oct 29 2006 Christopher Stone <chris.stone@gmail.com> 0.1.2-1
- Initial Release
